body {
  background-color: rgb(6, 1, 24);
  transition: all 1s;
}
.popular,
.top-rated {
  display: flex;
  gap: 20px;
  padding: 20px;
  border-radius: 12px;
  overflow-x: auto;
}
h1 {
  color: orangered;
  font-size: 25px;
}
.season {
  box-shadow: 4px 2px 6px #c1c1c1;
  border-radius: 12px;
}

h2 {
  padding: 20px;
  color: rgb(222, 255, 7);
  display: flex;
  justify-content: center;
}
h3 {
  color: white;
}
.contain {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
}
.movie {
  cursor: pointer;
  transition: all 0.35s;
}

.modal {
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  width: 100vw;
  display: none;
}
.modal .overlay {
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.6);
  width: 100vw;
  height: 100vh;
  z-index: -1;
}

.modal .movie-modal {
  display: flex;
  width: 600px;
  background-color: white;
  border-radius: 12px;
  box-shadow: 0 0 8px black;
}

.modal .movie-modal div {
  padding: 20px 30px;
  font-size: 0.9rem;
}

.modal .movie-modal img {
  width: 300px;
  border-top-left-radius: 12px;
  border-bottom-left-radius: 12px;
}
.images {
  height: 300px;
  display: flex;
  text-align: center;
  width: 200px;
  border-radius: 12px;
}
.images:hover {
  transform: scale(1.1);
}
.search {
  display: flex;
}

img {
  width: 100vw;
  height: 380px;
  object-fit: cover;
}
.titleModal {
  color: darkblue;
}
.final {
  margin: 20px;
  padding: 20px;
}
ul {
  min-width: 100px;
  padding: 12px;
  vertical-align: top;
  color: rgb(255, 233, 30);
  display: flex;
  justify-content: space-around;
  cursor: pointer;
}
@media screen and (max-width: 798px) {
  .movie {
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
  }
  .popular {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .top-rated {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  img {
    object-fit: contain;
  }
  .contain {
    display: inline;
  }
}
